# -*- coding: utf-8 -*-

from dan.ocr.line.generate_synthetic import run as run_generate
from dan.ocr.line.train import run as run_train


def add_generate_parser(subcommands) -> None:
    parser = subcommands.add_parser(
        "generate",
        description="Generate synthetic data to train DAN models.",
        help="Generate synthetic data to train DAN models.",
    )
    parser.set_defaults(func=run_generate)


def add_line_parser(subcommands) -> None:
    parser = subcommands.add_parser(
        "line",
        description="Train a DAN model at line level.",
        help="Train a DAN model at line level.",
    )
    parser.set_defaults(func=run_train)
