# DAN: a Segmentation-free Document Attention Network for Handwritten Document Recognition

This repository allows to use the DAN model, a ***Segmentation-free Document Attention Network for Handwritten Document Recognition***. Both training and inference are possible using the multiple commands exposed.

![Prediction visualization](assets/visual.png)

The model uses a character-level attention to handle slanted lines:
![Prediction visualization on slanted lines](assets/visual_slanted_lines.png)

Click [here](original_paper.md) to learn more about the model and how it fares against SOTA models.

## Getting started

To use DAN in your own environment, install it using pip:

```shell
pip install -e .
```

To learn more about the newly installed `teklia-dan` command, make sure to run:
```shell
teklia-dan --help
```

## Linter

Code syntax is analyzed before submitting the code.\
To run the linter tools suite you may use pre-commit.

```shell
pip install pre-commit
pre-commit run -a
```

## Run tests

Tests are executed with tox using [pytest](https://pytest.org).

```shell
pip install tox
tox
```

To recreate tox virtual environment (e.g. a dependencies update), you may run `tox -r`
